jQuery(document).ready(function ($) {

    // Open wp default uploader
    $(document).on('click', '.select-uploader', function (e) {
        e.preventDefault();
        var $this = $(this);
        var $target = $this.data('target');
        var $target_type = $this.data('target-type');
        var image = wp.media({
            title: 'انتخاب تصویر',
            multiple: false,
            button: {
                text: 'قرار دادن'
            }
        }).open().on('select', function (e) {
            var uploaded_image = image.state().get('selection').first();
            var image_url = uploaded_image.toJSON().url;
            var image_id = uploaded_image.toJSON().id;
            switch (true) {
                case $target_type === 'image' :
                    $('#' + $target).attr('src', image_url);
                    $('#' + $target + '_input').val(image_id);
                    break;
            }
        });
    });

    // Remove uploader image
    $('.remove-uploader').click(function (e) {
        e.preventDefault();
        var $this = $(this);
        var target = $this.data('target');
        $('#' + target).attr('src', '');
        $('#' + target + '_input').attr('value', '').trigger('change');
    });


    // multiple select with AJAX search
    $('#wupp_notification_products').select2({
        ajax: {
            url: ajaxurl, // AJAX URL is predefined in WordPress admin
            dataType: 'json',
            delay: 250, // delay in ms while typing when to perform a AJAX search
            data: function (params) {
                return {
                    q: params.term, // search query
                    action: 'wupp_search_products' // AJAX action for admin-ajax.php
                };
            },
            processResults: function (data) {
                var options = [];
                if (data) {

                    // data is the array of arrays, and each of them contains ID and the Label of the option
                    $.each(data, function (index, text) { // do not forget that "index" is just auto incremented value
                        options.push({id: text[0], text: text[1]});
                    });

                }
                return {
                    results: options
                };
            },
            cache: true
        },
        minimumInputLength: 3 // the minimum of symbols to input before perform a search
    });


    // multiple select with AJAX search
    $('#wupp_notification_users').select2({
        ajax: {
            url: ajaxurl, // AJAX URL is predefined in WordPress admin
            dataType: 'json',
            delay: 250, // delay in ms while typing when to perform a AJAX search
            data: function (params) {
                return {
                    q: params.term, // search query
                    action: 'wupp_search_users' // AJAX action for admin-ajax.php
                };
            },
            processResults: function (data) {
                var options = [];
                if (data) {

                    // data is the array of arrays, and each of them contains ID and the Label of the option
                    $.each(data, function (index, text) { // do not forget that "index" is just auto incremented value
                        options.push({id: text[0], text: text[1]});
                    });

                }
                return {
                    results: options
                };
            },
            cache: true
        },
        minimumInputLength: 3 // the minimum of symbols to input before perform a search
    });

    $("code.notification-merge-tag").on("click", function (e) {
        var text = $(this).data('text');
        copyToClipboard(text);
        $(this).html("کپی شد");
        $(this).delay(1000)
            .queue(function (n) {
                $(this).html(text);
                n();
            }).fadeIn(500);
    });

    function copyToClipboard(text) {

        // Create a "hidden" input
        var aux = document.createElement("input");

        // Assign it the value of the specified element
        aux.setAttribute("value", text);

        // Append it to the body
        document.body.appendChild(aux);

        // Highlight its content
        aux.select();

        // Copy the highlighted text
        document.execCommand("copy");

        // Remove it from the body
        document.body.removeChild(aux);

    }

});