<?php
$wupp = new WUPPNOTINotification();
$ids = [];
$all_messages = $wupp->get_notification_for_current_user('message');
$msg_per_page = $wupp->get_notification_for_current_user('message', 99999);
$messages = $msg_per_page['not-list'];
$msg_pag_args = $msg_per_page['pag_args'];
$msg_total_pages = ceil(count($all_messages) / $msg_pag_args['per_page']);
?>

<!-- Massage list start -->
<div class="card">
    <?php if ($messages) : ?>
        <div class="card-datatable table-responsive pt-0">
            <div id="notification_list_table" class="dataTables_wrapper dt-bootstrap4 no-footer">
                <table class="user-list-table table">
                    <thead class="thead-light">
                        <tr>
                            <th><?php echo __('Title', 'user-panel-pro'); ?></th>
                            <th class="d-none d-sm-block"><?php echo __('Preview', 'user-panel-pro'); ?></th>
                            <th><?php echo __('Status', 'user-panel-pro'); ?></th>
                            <th><?php echo __('Actions', 'user-panel-pro'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($messages as $m) :
                            $msg = get_post($m);
                            $image = get_the_post_thumbnail_url($msg->ID);
                            $file = get_post_meta($msg->ID, 'myplugin_media', true);
                            $read = $wupp->check_notification_user_view($m);
                        ?>
                            <tr role="row" class="p-5">
                                <td class=" control" tabindex="0" style="display: none;"></td>
                                <td>
                                    <div class="d-flex justify-content-left align-items-center">
                                        <div class="avatar-wrapper">
                                            <?php if ($image) : ?>
                                                <div class="avatar  mr-1"><img src="<?php echo $image; ?>" alt="Avatar" height="48" width="48"></div>
                                            <?php endif; ?>
                                        </div>
                                        <div class="d-flex flex-column"><a href="?view_message=<?php echo $msg->ID; ?>" class="user_name text-truncate"><span class="font-weight-bold"><?php echo $msg->post_title ?></span></a><small class="emp_post text-muted"><?php echo date_i18n('Y-m-d', strtotime($msg->post_date)); ?></small></div>
                                    </div>
                                </td>
                                <td class="sorting_1 d-none d-sm-block">
                                <?php echo $wupp->filter_post_content($msg->post_content, $msg->ID, true , 15) ?>
                                </td>
                                <td><?php if ($read) : ?>
                                        <span class="badge badge-pill badge-light-success" text-capitalized=""><?php echo __('seen', 'user-panel-pro') ?></span>
                                    <?php else : ?>
                                        <span class="badge badge-pill badge-light-danger" text-capitalized=""><?php echo __('not seen', 'user-panel-pro') ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <a href="?view_message=<?php echo $msg->ID; ?>" class="btn btn-sm">
                                        <i data-feather='eye'></i>
                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
                <?php if (count($all_messages) > $msg_pag_args['per_page']) : ?>
                    <div class="d-flex justify-content-between mx-2 row mb-1 mt-3">
                        <div class="col-sm-12 col-md-6">
                            <?php

                            $page_end_point = ($msg_pag_args['page_number'] == $msg_total_pages) ? count($all_messages) : $msg_pag_args['per_page'] * $msg_pag_args['page_number'];
                            $page_start_point = ($msg_pag_args['per_page'] * ($msg_pag_args['page_number'] - 1)) + 1;
                            ?>
                            <div class="dataTables_info" id="notification_list_table_info" role="status" aria-live="polite"><?php echo sprintf('Showing %d to %d of %d entries', $page_start_point, $page_end_point, count($all_notification)); ?></div>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <div class="dataTables_paginate paging_simple_numbers" id="notification_list_table_paginate">
                                <ul class="pagination justify-content-end">
                                    <li class="paginate_button page-item previous disabled" id="notification_list_table_previous"><a href="#" aria-controls="DataTables_Table_0" data-dt-idx="0" tabindex="0" class="page-link">&nbsp;</a></li>
                                    <?php for ($i = 1; $i <= $notif_total_pages; $i++) : ?>
                                        <li class="paginate_button page-item <?php echo ($notif_pag_args['page_number'] == $i) ? 'active' : ''; ?>"><a href="?paged=<?php echo $i; ?>" aria-controls="DataTables_Table_0" data-dt-idx="<?php echo $i; ?>" tabindex="0" class="page-link"><?php echo $i; ?></a></li>
                                    <?php endfor; ?>
                                    <li class="paginate_button page-item next disabled" id="notification_list_table_next"><a href="#" aria-controls="DataTables_Table_0" data-dt-idx="1" tabindex="0" class="page-link">&nbsp;</a></li>
                                </ul>

                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    <?php else : ?>
        <section id="alerts-with-icons">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="demo-spacing-0">
                                <div class="alert alert-primary" role="alert">
                                    <div class="alert-body">
                                        <i data-feather='x-circle'></i>
                                        <span><?php _e('No message found.', 'user-panel-pro') ?></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    <?php endif; ?>
</div>
<!-- Massage list ends -->


<?php add_action('after_view_private_messages', function () { ?>

<?php }); ?>