<?php


class WUPPNotificationsViewRepository extends WUPPBaseRepository {

	private $table_name = 'wupp_notification_view';
	private $prim_key = 'id';

	public function __construct() {
		parent::__construct( $this->prim_key, $this->table_name );
		$this->init_table();
	}

	private function init_table() {
		$this->create_table( $this->table_name, $this->prim_key, [
			'user_id'         => 'TEXT',
			'notification_id' => 'TEXT'
		] );
	}

	public function get_notification( $id, $user_id ) {
		return $this->find_by( [
			'notification_id' => $id,
			'user_id'         => $user_id
		] );
	}

	public function add_notification_view( $info ) {
		return $this->insert($info);
	}
}